#/*==========================================================================*
# *    Copyright(c) 2021, Vertiv Tech Co., Ltd.
# *                     ALL RIGHTS RESERVED
# *
# *  PRODUCT  : ACU(Advanced Controller Unit)
# *
# *  FILENAME : Makefile
# *  CREATOR  : HULONGWEN                DATE: 2004-09-30 17:09
# *  VERSION  : V1.00
# *  PURPOSE  : The make file for the time sync sub module.
# *
# *  HISTORY  :
# *
# *==========================================================================*/

include $(ACU_SOURCE_DIR)/config_vars.mk

#the target output file
EXEC = time_sync.so

#the head files the object files depend on
INCS = time_sync.h

#the object files to generate the target
OBJS = time_sync.o  

#for self test
TEST_EXEC = test_time_sync
TEST_OBJS = test_time_sync.o
TEST_LIBS = $(EXEC) -lpthread #and other required libs

#private shared libraries
LIBS = 

all: $(EXEC)

$(EXEC): $(OBJS) $(INCS) $(PUBINCS)
	$(CC) -shared -fPIC $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIBS) $(PUBLIBS)
	
install: $(EXEC)
	#-mkdir -p $(ACU_TARGET_DIR)/mainapp
	#-cp $(EXEC) $(ACU_TARGET_DIR)/mainapp/
	
$(TEST_EXEC): $(EXEC) $(TEST_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(TEST_OBJS) $(TEST_LIBS) $(PUBLIBS)
	
test: $(TEST_EXEC)
	-echo Test making ...

clean:
	-rm -f $(EXEC) *.gdb *.elf *.o $(OBJS) core $(TEST_EXEC)
	-rm -f make_*.txt *.map *.so
	